scala.tools.nsc

# CompilerCommand

#### class CompilerCommand extends AnyRef

A class representing command line info for scalac

Source
  CompilerCommand.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
GenericRunnerCommand, OfflineCompilerCommand
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CompilerCommand
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new CompilerCommand(arguments: List[String], settings: Settings, error: (String) ⇒ Unit)

2. #### new CompilerCommand(arguments: List[String], error: (String) ⇒ Unit)

3. #### new CompilerCommand(arguments: List[String], settings: Settings)

### Type Members

1. #### type Setting = Settings.Setting

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from CompilerCommand to any2stringadd[CompilerCommand] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (CompilerCommand, B)

   Implicit information
     This member is added by an implicit conversion from CompilerCommand to ArrowAssoc[CompilerCommand] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def cmdDesc: String

   A descriptive alias for version and help messages.

9. #### def cmdName: String

   The name of the command.

10. #### def createUsageMsg(label: String, shouldExplain: Boolean, cond: (Setting) ⇒ Boolean): String

11. #### def createUsageMsg(cond: (Setting) ⇒ Boolean): String

    Creates a help message for a subset of options based on cond

12. #### def ensuring(cond: (CompilerCommand) ⇒ Boolean, msg: ⇒ Any): CompilerCommand

    Implicit information
      This member is added by an implicit conversion from CompilerCommand to Ensuring[CompilerCommand] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (CompilerCommand) ⇒ Boolean): CompilerCommand

    Implicit information
      This member is added by an implicit conversion from CompilerCommand to Ensuring[CompilerCommand] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): CompilerCommand

    Implicit information
      This member is added by an implicit conversion from CompilerCommand to Ensuring[CompilerCommand] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): CompilerCommand

    Implicit information
      This member is added by an implicit conversion from CompilerCommand to Ensuring[CompilerCommand] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def expandArg(arg: String): List[String]

    Expands all arguments starting with @ to the contents of the file named like each argument.

19. #### def files: List[String]

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from CompilerCommand to StringFormat[CompilerCommand] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### def getInfoMessage(global: Global): String

24. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

25. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### def ok: Boolean

30. #### def processArguments: (Boolean, List[String])

31. #### val settings: Settings

32. #### def shortUsage: String

33. #### def shouldProcessArguments: Boolean

34. #### def shouldStopWithInfo: Boolean

    For info settings, compiler should just print a message and quit.

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### def toString(): String

    Definition Classes
      AnyRef → Any

37. #### def usageMsg: String

    Messages explaining usage and options

38. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### def xusageMsg: String

42. #### def yusageMsg: String

43. #### def →[B](y: B): (CompilerCommand, B)

    Implicit information
      This member is added by an implicit conversion from CompilerCommand to ArrowAssoc[CompilerCommand] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from CompilerCommand to any2stringadd[CompilerCommand]

### Inherited by implicit conversion StringFormat from CompilerCommand to StringFormat[CompilerCommand]

### Inherited by implicit conversion Ensuring from CompilerCommand to Ensuring[CompilerCommand]

### Inherited by implicit conversion ArrowAssoc from CompilerCommand to ArrowAssoc[CompilerCommand]

### Ungrouped